#!/usr/bin/env python3
"""Extension to remove the blue colour from selected shapes"""

import inkex


class RemoveBlue(inkex.ColorExtension):
    """Remove blue color from selected objects"""

    target_space = "rgb"

    def modify_color(self, name, color):
        color.blue = 0
        return color


if __name__ == "__main__":
    RemoveBlue().run()
